List speakers
US Region: https://public-api.sessionboard.com · EU Region: https://public-api-eu.sessionboard.com
Everyone on an accepted session, with their email and sessions, and limit, the speakers the plan includes per event (null on the platform). Reads only. Requires read:sessions. Refused for a key restricted to particular events. Also at GET /v1/sessions-workspace/events/{eventId}/speakers.
Request example
curl --request GET \ --url 'https://public-api.sessionboard.com/v1/organization/{orgId}/sessions-workspace/events/{eventId}/speakers' \ --header 'x-access-token: <api-token>'const response = await fetch('https://public-api.sessionboard.com/v1/organization/{orgId}/sessions-workspace/events/{eventId}/speakers', { method: 'GET', headers: { "x-access-token": "<api-token>" },});
const data = await response.json();console.log(data);import requests
response = requests.request( "GET", "https://public-api.sessionboard.com/v1/organization/{orgId}/sessions-workspace/events/{eventId}/speakers", headers={ "x-access-token": "<api-token>" },)
print(response.json())<?php
$curl = curl_init();
curl_setopt_array($curl, [ CURLOPT_URL => "https://public-api.sessionboard.com/v1/organization/{orgId}/sessions-workspace/events/{eventId}/speakers", CURLOPT_RETURNTRANSFER => true, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "x-access-token: <api-token>", ],]);
$response = curl_exec($curl);curl_close($curl);
echo $response;package main
import ( "fmt" "io" "net/http")
func main() { req, _ := http.NewRequest("GET", "https://public-api.sessionboard.com/v1/organization/{orgId}/sessions-workspace/events/{eventId}/speakers", nil) req.Header.Add("x-access-token", "<api-token>")
res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://public-api.sessionboard.com/v1/organization/{orgId}/sessions-workspace/events/{eventId}/speakers")) .header("x-access-token", "<api-token>") .method("GET", HttpRequest.BodyPublishers.noBody()) .build();
HttpResponse<String> response = HttpClient.newHttpClient() .send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());Try it
Response headers
Authorizations
x-access-tokenstringheaderOrganization API token. Generate from Organization Settings → API Tokens.
AuthorizationBearer <token>headerorOAuth 2.1 access token. Obtained via the OAuth PKCE flow at
/oauth/token.
Send one of these. See Authentication.
Path parameters
orgIdstringpathrequiredYour organization ID. Any other organization returns
404.eventIdintegerpathrequiredThe Sessions event ID.
Responses
200application/json
OK
successbooleanpayloadobjectShow child attributes
speakersSessionsWorkspaceSpeaker[]Show child attributes
contact_idstring<uuid>namestring | nullemailstring | nulltitlestring | nullsessionsobject[]Show child attributes
idstring<uuid>titlestringrolestring | null
limitinteger | null
401
Missing, invalid or expired token.
403application/json
SCOPE_REQUIRED: the token lacksread:sessions.ORG_WIDE_TOKEN_REQUIRED: the key is restricted to particular events; use a key without an event restriction.FORBIDDEN: the token's user is not an active member of the organization.
errorstring- Allowed values
"VALIDATION_ERROR", "SCOPE_REQUIRED", "ORG_WIDE_TOKEN_REQUIRED", "FORBIDDEN", "NOT_FOUND", "CONFLICT", "QUOTA_EXCEEDED"
messagestringrequiredcodestringA more specific reason:
enterprise_only,trial_ended,plan_ended,in_use.upgradestringWith
enterprise_only: what needs a bigger plan or the platform (events,speakers,review_plans,forms, …).
404application/json
NOT_FOUND: orgId is not the token's organization, or the event, session or sponsor is not in it.
errorstring- Allowed values
"VALIDATION_ERROR", "SCOPE_REQUIRED", "ORG_WIDE_TOKEN_REQUIRED", "FORBIDDEN", "NOT_FOUND", "CONFLICT", "QUOTA_EXCEEDED"
messagestringrequiredcodestringA more specific reason:
enterprise_only,trial_ended,plan_ended,in_use.upgradestringWith
enterprise_only: what needs a bigger plan or the platform (events,speakers,review_plans,forms, …).
429
The token's request limit (100 requests per 15 minutes by default) or, for writes, its daily write quota. Wait Retry-After seconds.
Retry-AfterintegerheaderSeconds to wait before retrying.
Response examples
{ "success": true, "payload": { "speakers": [ { "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "email": "<string>", "title": "<string>", "sessions": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "title": "<string>", "role": "<string>" } ] } ], "limit": 123 }}{ "error": "VALIDATION_ERROR", "message": "<string>", "code": "<string>", "upgrade": "<string>"}{ "error": "VALIDATION_ERROR", "message": "<string>", "code": "<string>", "upgrade": "<string>"}